Bug 151009 - mount doesn't do "mount /media/cdrecorder"
mount doesn't do "mount /media/cdrecorder"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 18:51 EST by Lars G
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-24 11:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lars G 2005-03-13 18:51:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
when trying to mount my atapi cdrecorder/cd drive with a simple "mount /media/cdrecorder"
mount tells me:

"mount: wrong fs type, bad option, bad superblock on /dev/hdc,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so"

nothing in dmesg so...

when doing a "mount /dev/hdc /media/cdrecorder" it works OK.

my fstab entry:
/dev/hdc /media/cdrecorder auto pamconsole,exec,noauto,fscontext=system_u:object_r:removable_t,managed 0 0


this is with latest rawhide.



Version-Release number of selected component (if applicable):
util-linux-2.12p-2

How reproducible:
Always

Steps to Reproduce:
1. do a "mount /media/cdrecorder", fails
2. do a "mount /dev/hdc /media/cdrecorder", works


Additional info:
Comment 1 shrek-m 2005-03-17 12:01:08 EST
util-linux-2.12p-3

# grep -1 SELINUX=perm /etc/sysconfig/selinux
SELINUX=disabled
#SELINUX=permissive
#SELINUX=enforcing

in permissive|enforcing mode all is ok.
in disabled mode i have the same problem here with cdrecorder, usb-devices.

# grep fscontext /etc/fstab
/dev/hdc                /media/cdrecorder       auto   
pamconsole,exec,noauto,fscontext=system_u:object_r:removable_t,managed 0 0
/dev/sda1               /media/usbdisk          vfat   
pamconsole,exec,noauto,fscontext=system_u:object_r:removable_t,noatime,sync,managed
0 0
Comment 2 Lars G 2005-03-19 10:28:58 EST
the mount command works ok now with latest rawhide update.

but there is a problem that on ca.50% of the mounts the
cd icon does not show up on the desktop.
Comment 3 Lars G 2005-03-19 10:41:18 EST
note: this only happens when the cd tray has to slide in.
when the tray is already closed with a cd inserted, the cd icon appears on every
mount.
maybe it is a timing problem?

Comment 4 shrek-m 2005-03-19 11:17:22 EST
thanks, hal update solved the problem.

SELINUX=disabled

# tail -4 /var/log/yum.log
Mar 19 15:48:46 Updated: hal.ppc 0.5.0.cvs20050318-1
Mar 19 15:48:48 Updated: hal-gnome.ppc 0.5.0.cvs20050318-1
Mar 19 15:48:50 Updated: hal-cups-utils.ppc 0.5.3-3
Mar 19 15:48:52 Updated: hal-devel.ppc 0.5.0.cvs20050318-1

# grep media  /etc/fstab
/dev/hdc                /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0
/dev/sda1               /media/usbdisk          vfat   
pamconsole,exec,noauto,managed 0 0
Comment 5 Karel Zak 2005-03-24 09:55:37 EST
It looks all your mount problems are resolved now. Right?
Comment 6 Lars G 2005-03-24 11:31:15 EST
somehow... yes! :)
thanks, closing it now.

Note You need to log in before you can comment on or make changes to this bug.